<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
lang="en" xml:lang="en">
<head>
<title>l3 README</title>
<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
<meta name="generator" content="Org-mode"/>
<meta name="generated" content="2007/10/16 15:41:26"/>
<meta name="author" content="Michael Hohn"/>
<link rel=stylesheet href="l3style.css" type="text/css">
</head><body>
<h1 class="title">l3 README</h1>



<div id="toc">
<h2>Table of Contents</h2>
<ul>
<li><a href="#sec-1">1 Overview</a></li>
<li><a href="#sec-2">2 Creating documentation in various formats</a></li>
<li><a href="#sec-3">3 Installer</a>
<ul>
<li><a href="#sec-4">3.1 look up documentation</a></li>
</ul>
</li>
<li><a href="#sec-5">4 Produce a python package</a></li>
<li><a href="#sec-6">5 Install a python package</a></li>
</ul>

</div> 
<div id="content">



<h2 id="sec-1">1 Overview</h2>

<p>Documentation source is found in the files
<pre>
   l3.txt
   l3gui.txt
   l3lang.txt
</pre>
</p>
<p>
This directory contains all documentation, and code to produce the
web page.
</p>
<p>
Some generated documentation is copied to the doc/ subdirectories of
l3lang / l3gui for completeness.
</p>

<h2 id="sec-2">2 Creating documentation in various formats</h2>

<ul>
<li>
Directly create html 'manpage' via
<pre>
   asciidoc -d manpage l3.txt
</pre>
or
<pre>
   asciidoc -d manpage -a toc -a numbered l3.txt
</pre>
or
<pre>
   asciidoc -d manpage -a toc l3.txt
</pre>


</li>
</ul>
<p>Create and view a man page, via docbook:
<pre>
   $SPXROOT/usr/bin/a2x -d manpage -f manpage l3.txt 
</pre>
</p>
<p>
Produce the printable version (postscript):
<pre>
   groff -man ./l3.1 &gt; l3.ps
</pre>
</p>
<p>
Produce an alternate (nicer?) text form (with escape sequences).
<pre>
   groff -mandoc -Tascii ./l3.1 &gt; l3.alt 
</pre>
</p>

<p>
Create an alternate text form
<pre>
   $SPXROOT/usr/bin/a2x -v  -d manpage -f text l3.txt 
</pre>
</p>
<p>
Create pdf via fop
<pre>
   $SPXROOT/usr/bin/a2x -v  -d manpage -f pdf l3.txt 
</pre>
</p>

<p>
Directly create latex
<pre>
   asciidoc --unsafe --backend=latex l3gui.txt
</pre>
or 
<pre>
   asciidoc -v --unsafe --backend=latex l3gui.txt
</pre>
then
<pre>
   pdflatex l3gui.tex
</pre>
</p>
<p>
Adjustments to generated latex may include
<pre>
   \documentclass [letter,abstracton,titlepage,10pt]{scrartcl}
   \usepackage{arev}
</pre>
</p>


<h2 id="sec-3">3 Installer</h2>


<h3 id="sec-4">3.1 look up documentation</h3>

<p><pre>
   sparx.wrap man dblatex
</pre>
</p>

<h2 id="sec-5">4 Produce a python package</h2>

<p><pre>
   python setup.py sdist
</pre>
</p>

<h2 id="sec-6">5 Install a python package</h2>

<p><pre>
   cd ~/tmp
   tar zxvf ~/w/phenix/l3lang/dist/l3lang-0.5.tar.gz 
   pushd l3lang-0.5/
   python setup.py install
</pre>
</p>


</div> 

<p class="author"> Author: Michael Hohn
<a href="mailto:mhhohn@lbl.gov">&lt;mhhohn@lbl.gov&gt;</a>
</p>
<p class="date"> Date: 2007/10/16 15:41:26</p>
</body>
</html>
